org.jboss.jca.common.api.metadata.resourceadapter

## Enum WorkManagerSecurity.Tag

- java.lang.Object
- - java.lang.Enum<WorkManagerSecurity.Tag>
  - - org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WorkManagerSecurity.Tag>
  Enclosing interface:
    WorkManagerSecurity

      public static enum WorkManagerSecurity.Tag
      extends java.lang.Enum<WorkManagerSecurity.Tag>

  A Tag.
  Author:
    Jesper Pedersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT_GROUPS` default-groups tag
    `DEFAULT_PRINCIPAL` default-principal tag
    `DOMAIN` domain tag
    `GROUP` group tag
    `GROUPS` groups tag
    `MAP` map tag
    `MAPPING_REQUIRED` mapping-required tag
    `MAPPINGS` mappings tag
    `UNKNOWN` always first
    `USERS` users tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WorkManagerSecurity.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static WorkManagerSecurity.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WorkManagerSecurity.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final WorkManagerSecurity.Tag UNKNOWN

      always first

    - #### MAPPING_REQUIRED

          public static final WorkManagerSecurity.Tag MAPPING_REQUIRED

      mapping-required tag

    - #### DOMAIN

          public static final WorkManagerSecurity.Tag DOMAIN

      domain tag

    - #### DEFAULT_PRINCIPAL

          public static final WorkManagerSecurity.Tag DEFAULT_PRINCIPAL

      default-principal tag

    - #### DEFAULT_GROUPS

          public static final WorkManagerSecurity.Tag DEFAULT_GROUPS

      default-groups tag

    - #### GROUP

          public static final WorkManagerSecurity.Tag GROUP

      group tag

    - #### MAPPINGS

          public static final WorkManagerSecurity.Tag MAPPINGS

      mappings tag

    - #### USERS

          public static final WorkManagerSecurity.Tag USERS

      users tag

    - #### GROUPS

          public static final WorkManagerSecurity.Tag GROUPS

      groups tag

    - #### MAP

          public static final WorkManagerSecurity.Tag MAP

      map tag

  - ### Method Detail

    - #### values

          public static WorkManagerSecurity.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorkManagerSecurity.Tag c : WorkManagerSecurity.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorkManagerSecurity.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<WorkManagerSecurity.Tag>`

    - #### forName

          public static WorkManagerSecurity.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)